FROM node:20-slim AS builder
WORKDIR /var/www/html
ENV NEXT_TELEMETRY_DISABLED=1

COPY . .
RUN npm ci --legacy-peer-deps
RUN npm run build

FROM node:20-slim
WORKDIR /var/www/html

RUN apt update && apt install openssl -y

COPY --from=builder /var/www/html/package.json ./
COPY --from=builder /var/www/html/node_modules ./node_modules
COPY --from=builder /var/www/html/.next ./.next
COPY --from=builder /var/www/html/public ./public

VOLUME /var/www/html

ENV HOSTNAME "0.0.0.0"

CMD ["npm", "start"]
