import { Suspense } from "react";
import { UsersPaymentsTable } from "@/components/admin/user-payments-table";

export default async function UserPayments({
	searchParams,
}: {
	searchParams: Promise<{
		query: string;
		page: number;
		sortBy: string;
		status: string;
	}>;
}) {
	const query = (await searchParams)?.query || "";
	// const session = await getServerSession(authOptions);
	return (
		<div>
			<div className="flex justify-between items-center border rounded-md border-dashed font-bold title-bg py-4 px-2 mb-4">
				<h3 className="text-sarLinkOrange text-2xl">User Payments</h3>
			</div>
			<Suspense key={query} fallback={"loading...."}>
				<UsersPaymentsTable searchParams={searchParams} />
			</Suspense>
		</div>
	);
}
