/* eslint-disable @typescript-eslint/no-unused-vars */
// @ts-expect-error importing unused types are required here
import NextAuth, { DefaultSession, type User, Session } from "next-auth";
/* eslint-enable @typescript-eslint/no-unused-vars */
declare module "next-auth" {
	/**
	 * Returned by `useSession`, `getSession` and received as a prop on the `SessionProvider` React Context
	 */

	interface Session {
		apiToken?: string;
		name?: string | null;
		email?: string | null;
		image?: string | null;
		user?: User & {
			expiry?: string;
			id?: number;
			username?: string;
			user_permissions?: { id: number; name: string }[];
			id_card?: string;
			mobile?: string;
			wallet_balance?: number;
			first_name?: string;
			last_name?: string;
			last_login?: string;
			date_joined?: string;
			is_superuser?: boolean;
			is_admin?: boolean;
		};
		expires: ISODateString;
	}
}
