import { PhoneIcon } from "lucide-react"
import Link from "next/link"
import {
  Accordion,
  AccordionContent,
  AccordionItem,
  AccordionTrigger,
} from "@/components/ui/accordion"
import { Button } from "@/components/ui/button"


export function GetMacAccordion() {
  return (
    <Accordion
      type="single"
      collapsible
      className="w-full"
    >
      <AccordionItem value="item-1">
        <AccordionTrigger>How do I find my MAC Address?</AccordionTrigger>
        <AccordionContent className="flex flex-col gap-4 text-start">
          <p>
            A MAC (Media Access Control) address is a unique identifier assigned
            to a device`&apos;`s network. It is used to identify the device on a
            network, helping to differentiate devices on a network.
          </p>
          <Accordion type="single" collapsible className="w-full">
            <AccordionItem value="iphone">
              <AccordionTrigger>iPhone</AccordionTrigger>
              <AccordionContent>
                Settings ➜ General ➜ About ➜ Wi-Fi Address
              </AccordionContent>
            </AccordionItem>
            <AccordionItem value="redmi">
              <AccordionTrigger>Redmi</AccordionTrigger>
              <AccordionContent>
                Settings ➜ About ➜ Wi-Fi MAC Address
              </AccordionContent>
            </AccordionItem>
            <AccordionItem value="samsung">
              <AccordionTrigger>Samsung</AccordionTrigger>
              <AccordionContent>
                Settings ➜ About phone ➜ Status Information ➜ Wi-Fi MAC Address
              </AccordionContent>
            </AccordionItem>
            <AccordionItem value="windows">
              <AccordionTrigger>Windows Laptop</AccordionTrigger>
              <AccordionContent>
                Settings ➜ Network and Internet ➜ Wi-Fi ➜ Hardware
                Properties ➜ Physical address (MAC):
              </AccordionContent>
            </AccordionItem>
            <AccordionItem value="other">
              <AccordionTrigger>Other Device</AccordionTrigger>
              <AccordionContent>
                <p>
                  Please contact SAR Link for assistance.
                </p>
                <Link
                  href="tel:+9609198026"
                >
                  <Button className="mt-4">
                    <PhoneIcon className="mr-2" />
                    9198026
                  </Button>
                </Link>
              </AccordionContent>
            </AccordionItem>
          </Accordion>
        </AccordionContent>
      </AccordionItem>
    </Accordion>
  )
}
