import { atom, createStore } from "jotai";
import type { Device } from "./backend-types";

// Create a single store instance
export const store = createStore();

// Create atoms with the store
export const initialPriceAtom = atom(100);
export const discountPercentageAtom = atom(75);
export const numberOfDevicesAtom = atom(1);
export const numberOfDaysAtom = atom(30);
export const numberOfMonths = atom(1);
export const walletTopUpValue = atom(1);
export const formulaResultAtom = atom("");
export const deviceCartAtom = atom<Device[]>([]);
export const cartDrawerOpenAtom = atom(false);
export const WalletDrawerOpenAtom = atom(false);
export const loadingDevicesToPayAtom = atom(false);

// Export the atoms with their store
export const atoms = {
	initialPriceAtom,
	discountPercentageAtom,
	numberOfDevicesAtom,
	numberOfDaysAtom,
	numberOfMonths,
	formulaResultAtom,
	deviceCartAtom,
	cartDrawerOpenAtom,
	walletTopUpValue,
	loadingDevicesToPayAtom,
};
