"use server";
import type { TNationalPerson } from "@/lib/types";

export async function getNationalPerson({
	idCard,
}: { idCard: string }): Promise<TNationalPerson> {
	const nationalInformation = await fetch(
		`${process.env.PERSON_VERIFY_BASE_URL}/api/person/${idCard}`,
		{
			next: {
				revalidate: 60,
			},
		},
	);
	const nationalData = (await nationalInformation.json()) as TNationalPerson;
	return nationalData;
}


