import type { ISODateString } from "next-auth";
import type { Atoll, Island } from "../backend-types";

export interface Permission {
	id: number;
	name: string;
	user: User;
}

export interface TAuthUser {
	expiry?: string;
	token?: string;
	user: User;
}

export interface User {
	id: number;
	username: string;
	email: string;
	user_permissions: Permission[];
	first_name: string;
	last_name: string;
	id_card?: string;
	address?: string;
	verified?: boolean;
	dob?: string;
	mobile?: string;
	wallet_balance?: number;
	is_superuser: boolean;
	date_joined: string;
	last_login: string;
}

export interface UserProfile {
	id: number;
	email: string;
	first_name: string;
	last_name: string;
	atoll: Atoll;
	island: Island;
	dob: string;
	verified: boolean;
	username: string;
	mobile: string;
	address: string;
	acc_no: string;
	id_card: string;
}

export interface Session {
	user?: {
		token?: string;
		name?: string | null;
		email?: string | null;
		image?: string | null;
		user?: User & {
			expiry?: string;
		};
	};
	expires: ISODateString;
}
