import type { NextConfig } from "next";

const nextConfig: NextConfig = {
	/* config options here */
	images: {
		remotePatterns: [
			{
				protocol: "http",
				hostname: "verifypersonapi.baraveli.dev",
				pathname: "/images/**",
				search: "",
				port: "",
			},
			{
				protocol: "https",
				hostname: "i.pravatar.cc",
				pathname: "/300/**",
				search: "",
				port: "",
			},
		],
	},
	output: "standalone",
	async headers() {
		return [
			{
				source: '/:path*{/}?',
				headers: [
					{
						key: 'X-Accel-Buffering',
						value: 'no',
					},
				],
			},
		]
	},
};

export default nextConfig;
